org.apache.ignite.ml.selection.scoring.metric.classification

## Class TrueNegativeAbsoluteValue<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric<L>
  - - org.apache.ignite.ml.selection.scoring.metric.classification.TrueNegativeAbsoluteValue<L>

- All Implemented Interfaces:
    Serializable, Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>

      public class TrueNegativeAbsoluteValue<L extends Serializable>
      extends BinaryClassificationMetric<L>

  TrueNegative metric class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrueNegativeAbsoluteValue()` Creates an instance of TrueNegativeAbsoluteValue.
    `TrueNegativeAbsoluteValue(L truthLabel, L falseLabel)` Creates an instance of TrueNegativeAbsoluteValue class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueNegativeAbsoluteValue<L>` | `initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)` Initializes metric value by statistics aggregator.
    `MetricName` | `name()` Returns metric name.
    `double` | `value()` Returns metric value.

    - ### Methods inherited from class org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric

      `makeAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrueNegativeAbsoluteValue

          public TrueNegativeAbsoluteValue()

      Creates an instance of TrueNegativeAbsoluteValue.

    - #### TrueNegativeAbsoluteValue

          public TrueNegativeAbsoluteValue(L truthLabel,
                                           L falseLabel)

      Creates an instance of TrueNegativeAbsoluteValue class.
      Parameters:
        `truthLabel` - Truth label.
        `falseLabel` - False label.

  - ### Method Detail

    - #### initBy

          public TrueNegativeAbsoluteValue<L> initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)

      Initializes metric value by statistics aggregator.
      Parameters:
        `aggr` - Aggregator.

    - #### value

          public double value()

      Returns metric value.
      Returns:
        Metric value.

    - #### name

          public MetricName name()

      Returns metric name.
      Returns:
        Metric name.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021